OPK SURF

Menci Software - OPK Bundle - Copyright © 2016

WebSite: http://www.menci.com - E-Mail: info@menci.com


Features

  • Unlimited number of images elaborated
  • Automatic 3D model generation
  • Automatic DSM generation
  • Automatic DTM generation
  • 3D model reconstruction (1 px resolution)
  • Editor template reconstructed
  • Multiple selection of reconstruction area
  • Selection of DSM and DTM generation area
  • Real time visualization of results
  • Automatic True-Ortophoto generation (if software release allows)


Quick Reference

  • Features
  • Main menu
  • Toolbar
  • New project
  • Raster Overview
  • Add Template
  • Draw Area
  • Draw Hole
  • Build Point Cloud
  • Build DSM
  • Build DTM
  • Build True-Ortophoto
  • WorkFlow

    • What is OPK Surf?

    OPK is a software suite specifically designed for the high production of aerial photogrammetric products starting from large format digital images acquired by aerial cameras, such as UltraCam, DMC, DIMAC, etc.

    OPK is composed and capable of multiple applications each specifically developed to manage a particular stage of cartographic production.

    OPK is the our innovative technology for large format cameras (Ultracam, DMC, Dimac) providing totally automatic photogrammetric workflow. It is designed for high quality and mass production of AT, DSM, DTM and orthomosaics.

    OPK Surf is the latest Menci Software’s to:

    • 3D model reconstruction;
    • Automatic DSM generation;
    • DTM generation from large format digital images;
    • True-Ortophoto generation.


Main Menu

When the software starts following window will be opened (fig.1).

Figure 1

Two buttons are in toolbar (fig.2):

  1. Main that will be describe in next sections and
  2. View, by this button you can activate or disactivate several functions: footprints, raster overview, templates, etc.

Figure 2

By Surf icon you can (fig.3):

  • Create a new project: New;
  • Open an existing project: Open;
  • Save the project: Save;
  • Open an OPKBundle project;
  • Set the Reference Dataset Source;
  • Open recent project: Recent documents.

    Figure 3


Toolbar

Toolbar section is three tab:

  1. WorkFlow,
  2. Tools,
  3. Help.

By tab WorkFlow you can:

  • Build Overview;
  • Add template;
  • Draw area;
  • Import areas: you can import a *.dwg or a *.dxf file

;

  • Draw Hole;
  • Build Area;
  • Build DSM.

By tab Tools you can:

  • Measure Distance;
  • Measure Area;
  • Play a screenshot.


New Project

To cretae a new project press New (fig.13).

Figure 13

Following window opens (fig.14).

Figure 14

You must insert in order:

  1. Project name and destination folder;
  2. Camera passport file (*.bcc);

    You can import some passports and select from time to time the apporpriate certificate.

    If you haven't a compatible certificate with OPK you can create it by Fill New (fig.14) button.

You must insert some information (fig.15) as:

Figure 15

  • Camera name (NOTE: These parameters do not affect the process);
  • Camera model (NOTE: These parameters do not affect the process);
  • Lens serial number (N/S) (NOTE: These parameters do not affect the process);
  • Calibration date (dd-mm-aaaa) (NOTE: These parameters do not affect the process);
  • Focal lenght (mm);
  • Pixel size (mm);
  • Principal Point coordinate X (pixel);
  • Principal Point coordinate Y (pixel);
  • Distorsion parameters (K1, K2, K3, P1, P2). If the images are alredy undistorted these parameters are zero.

3. External orientation file; you must select the the correct file by Browse button (fig.16);

Figure 16

After file uploaded the window is (fig.17):

Figure 17

At top you can change the keywords for parsed file by editing comments and separators. Moreover you can assign the table headers values by clicking on.

If you want to exchange latitude and logitude columns each other, you can press Click. You can also select the correct rotational angle unit.

Select the appropriate data or press Select All then press Import.

4. Images, browse and select the images, then press Open (fig.18);

Figure 18

5. Reference Source; (fig.19)

Figure 19

You can select

  • Use Reference surface if you have a suitable file or
  • No Reference Surface Available. In this way following window will be opened (Fig.20) : you must insert: Projection, Datum, Unit and Fuse. You can import a WKT file or insert EPSG code (fig.20).

Figure 20

When all file requested are uploaded press Ok.


Build Overview

Build raster Overview

Mian overview after uploaded files is (fig.21), yellow poligons are the footprints of images.

Figure 21

It is helpful to create a map of working area. Press Build Overview in toolbar to generate a raster image, you can choose the resolution in Select Raster Detail: medium value is adviced (fig.22).

Figure 22

You can activate or disactivate footprins by View button in toolbar (fig.23).

Figure 23


Add template

To add a template press Add Template in toolbar (fig. 24)

Figure 24

The window in figure 25 opens, you must insert template name.

Figure 25

By default OPK Surf creates two templates named : Default and Holes. You can add all templates you want. All templates are visible in left panel Surf Manager (fig.26).

Figure 26

Templates properties are visible and editable by right panel Properties (fig.27)

Figure 27

You can change:

  • Reconstruction: DSM reconstruction step (m);
  • Raster level: value 0 means full resolution, value 1 means half resolution (lower accuracy);
  • Template name;
  • Color;
  • Tile size: expressed in reconstruction step, to subdivide the process;
  • Tile overlap: amount of overlap between the tile and its adjacent; 1/4 of the tile size is default;
  • Optimal baseline: optimal ratio between baseline and distance, 0.1 is defalut, (min 0.05, max 0.2);
  • Use fiducial penalty: if true promotes the use of the central part of the image;
  • Angular pow penalty: promotes most aligned images (min 1, max 3);
  • Stereo multi view: how many pictures are used for reconstruction process (min 2, stereo pair; value 1 enables automatic evaluation).


Build Area

To continue with the process you must select an area of interest. Therefore you can:

  1. press Draw Area in toolbar (fig.28) or
  2. right click on the name of template in which you want to enter the area (fig.29).

Figure 28

You can create more areas that will be visible on Surf Manager, but you can build just one flagging its name in left panel (fig.29).

Figure 29

Now you can press Build Area in toolbar (fig.30).

Figure 30

The following window automatically opens

You can build an area even clicking with the right button of mouse on the area name in Surf Manager panel.

In this case you can choose

  • Build Area: full process;
  • Build Area (fast processing): faster but less controlled.

If you select Yes full process will run, if you select No the process will be faster but there will be less control on quality product.

When you run the process, software shows a dialogue window that displays real time progress and time remaning (fig.31)

Figure 31

At the end you can see that built icon area is green, while drawn icon area are blue (fig.32).

Figure 32


Build DSM

Next step is the DSM genearation. You can press Build DSM in toolbar or right click on built area and select Generate DSM (fig.33).

Figure 33

When you select Generate DSM the following window opens and you must select Yes or No.

  • Select Yes if you want to generate just a DTM;
  • Select No if you want to generate a true ortophoto (if your release of software allows that).

An example of DSM with gaps, useful to generate a true ortophoto.

When you run the process, software shows a dialogue window in which it is possible view the progress of the process and at the and some informations: area procesed, process time, etc (fig.34).

Figure 34

Now you can see the DSM on the Main View (fig.35).

Figure 35

In the Surf Manager panel you can expand the icon of elaborated area and you can see now DSM. By a right click on DSM you can:

  • Remove DSM,
  • Export as GTiff file or
  • Build point coud (fig.36).

Figure 36


Point Cloud

Press on Build Point Cloud (fig.35) to create the cloud. Now you can expand DSM in Surf Manager panel. Right click on Point Cloud and you can (fig.36):

  1. View point Cloud;
  2. Remove Point Cloud;
  3. Export Point Cloud as a ASCII file;
  4. Build a report.

Figure 36

If you select View Point Cloud, Cloud View opens automatically. In the following window you can see the main view of CloudView. You can move or zoom in and out by the mouse (fig.37).

Figure 37


Build DTM

To generate the DTM press with the right button of mouse on the name of the area. Following window will be open, you must select Generate DTM (fig.39).

Figure 39

Icons on Surf Manager panel change. By right click on DTM it is possible export DTM as a GTiff file or Remove the DTM (fig.40).

Figure 40

Now you can see the DTM on the main view (fig. 41).

Figure 41


Build True-OrtoPhoto

To generate a true-ortophoto press with right button of mouse on the name of area in the Surf Manager panel and select Build True-Ortophoto.

Then you must insert Ground Sample Distance.

A dialogue window opens and shows with a status-bar the progress of the process.

A new window informs that process is complete.

You can found and see the true-orto photo in this folder:

<OPKSURF_PROJECTFOLDER>\<AREANAME>\_TRUEORTOFOTO.TIF


WorkFlow